TLS API-Referenz
v1.6.2
OpenAPI herunterladen
Get TLS certificate
Retrieve a single TLS certificate including staged/action-required state, validation details, and provider metadata.
GET
/tls/certificate/{certificate_id}
TLSCertificatesByID

Authentifizierung

x-api-key

Parameter

Name
Typ
Format
Pflicht
Description
certificate_id
path
string
Pflicht
Public TLS certificate ID

Request-Beispiel

GET
curl --request GET \
  --url 'https://api.regfish.com/tls/certificate/7K9QW3M2ZT8HJ' \
  --header 'x-api-key: YOUR_API_KEY'

Responses

200
TLS certificate details
application/jsontlsCertificateResponse
Response-Beispiel 200
{
  "success": true,
  "code": 0,
  "response": {
    "id": "7K9QW3M2ZT8HJ",
    "status": "pending",
    "common_name": "example",
    "product": "example",
    "provider": "digicert",
    "dns_names": [
      "example"
    ],
    "action_required": false,
    "pending_reason": "validation_pending",
    "pending_message": "The TLS certificate order is waiting for domain validation.",
    "completion_url": "",
    "organization_id": null,
    "certificate_pem_available": false
  }
}
400
Invalid request
application/jsonError
Response-Beispiel 400
{
  "success": false,
  "message": "Invalid request",
  "error": "Invalid request"
}
401
Unauthorized
application/jsonError
Response-Beispiel 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
TLS certificate not found
application/jsonError
Response-Beispiel 404
{
  "success": false,
  "message": "TLS certificate not found",
  "error": "TLS certificate not found"
}
500
Unexpected error
application/jsonError
Response-Beispiel 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Verwandte Modelle
Community

Werde ein Teil der Community

Das DNS API von Regfish ist die perfekte Lösung für Entwickler, die ihre Domains und DNS-Zonen automatisieren möchten. Werde Teil der Community und profitiere von den Vorteilen der DNS-Automatisierung. Das DNS API steht jedem Regfish-Kunden kostenlos zur Verfügung.